com.pixelmed.test

## Class TestSequenceAttributeDelimitedString

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestSequenceAttributeDelimitedString

-     public class TestSequenceAttributeDelimitedString
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestSequenceAttributeDelimitedString(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestSequenceAttributeDelimitedString_EmptySequence()`
    `void` | `TestSequenceAttributeDelimitedString_MultipleEmptyItems()`
    `void` | `TestSequenceAttributeDelimitedString_MultipleItemsWithDefaultValues()`
    `void` | `TestSequenceAttributeDelimitedString_MultipleItemsWithSpecifiedValues()`
    `void` | `TestSequenceAttributeDelimitedString_NestedEmptyItems()`
    `void` | `TestSequenceAttributeDelimitedString_NestedEmptySequence()`
    `void` | `TestSequenceAttributeDelimitedString_NestedNonEmptyItems()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestSequenceAttributeDelimitedString

          public TestSequenceAttributeDelimitedString(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestSequenceAttributeDelimitedString_EmptySequence

          public void TestSequenceAttributeDelimitedString_EmptySequence()

    - #### TestSequenceAttributeDelimitedString_MultipleEmptyItems

          public void TestSequenceAttributeDelimitedString_MultipleEmptyItems()

    - #### TestSequenceAttributeDelimitedString_MultipleItemsWithDefaultValues

          public void TestSequenceAttributeDelimitedString_MultipleItemsWithDefaultValues()

    - #### TestSequenceAttributeDelimitedString_MultipleItemsWithSpecifiedValues

          public void TestSequenceAttributeDelimitedString_MultipleItemsWithSpecifiedValues()
                                                                                     throws DicomException

      Throws:
        `DicomException`

    - #### TestSequenceAttributeDelimitedString_NestedEmptySequence

          public void TestSequenceAttributeDelimitedString_NestedEmptySequence()
                                                                        throws DicomException

      Throws:
        `DicomException`

    - #### TestSequenceAttributeDelimitedString_NestedEmptyItems

          public void TestSequenceAttributeDelimitedString_NestedEmptyItems()
                                                                     throws DicomException

      Throws:
        `DicomException`

    - #### TestSequenceAttributeDelimitedString_NestedNonEmptyItems

          public void TestSequenceAttributeDelimitedString_NestedNonEmptyItems()
                                                                        throws DicomException

      Throws:
        `DicomException`